Uploaded image for project: 'Titanium SDK/CLI'
  1. Titanium SDK/CLI
  2. TIMOB-25283

Hyperloop: iOS - Deprecate appc.js third-party configuration

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Medium
    • Resolution: Fixed
    • Affects Version/s: Hyperloop 2.1.3
    • Fix Version/s: Hyperloop 2.2.0
    • Component/s: Hyperloop, iOS
    • Labels:
      None
    • Environment:

      TiSDK 6.2.0.GA
      Hyperloop 2.1.3

      Description

      With the introduction of dynamic frameworks in modules (TIMOB-20557) and the updated framework handling for Hyperloop (TIMOB-23570 and TIMOB-23853) the need to manually configure frameworks is no longer required. The use case to directly use Objective-C and Swift source files should also be discouraged in favor of using frameworks.

      For this to happen we should deprecate the thirdparty setting in the appc.js and remove it in Hyperloop 3.0.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                hknoechel Hans Knöchel
                Reporter:
                jvennemann Jan Vennemann
                Reviewer:
                Jan Vennemann
              • Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Backbone Issue Sync

                  • Backbone Issue Sync is enabled for your project, but we do not have any synchronization info for this issue.

                    Git Source Code